%define name python-twisted-names
%define version 13.1.0
%define rel 3
%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:        An DNS protocol implementation with client and server
Name:           %{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:        http://twistedmatrix.com/Releases/Names/%{mainver}/TwistedNames-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted Names is both a domain name server as well as a client resolver
library.

Twisted Names comes with an "out of the box" nameserver which can read most
BIND-syntax zone files as well as a simple Python-based configuration format.
Twisted Names can act as an authoritative server, perform zone transfers from
a master to act as a secondary, act as a caching nameserver, or any combination
of these.

Twisted Names' client resolver library provides functions to query for all
commonly used record types as well as a replacement for the blocking
gethostbyname() function provided by the Python stdlib socket module.

%prep
%setup -q -n TwistedNames-%version

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --install-purelib=%{python_sitearch}


%files
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%dir %{python_sitearch}/twisted/names
%{python_sitearch}/twisted/names/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 13.1.0-3.mga4
+ Revision: 544281
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 13.1.0-2.mga4
+ Revision: 499607
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 13.1.0-1.mga4
+ Revision: 491822
- Update to 13.1.0

* Sun Jan 13 2013 umeabot <umeabot> 12.2.0-2.mga3
+ Revision: 379612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 philippem <philippem> 12.2.0-1.mga3
+ Revision: 296380
- Update to 12.2.0

* Wed Nov 23 2011 philippem <philippem> 11.1.0-1.mga2
+ Revision: 171295
- Update to 11.1.0

* Sun Jun 19 2011 kharec <kharec> 11.0.0-1.mga2
+ Revision: 109969
- New version 11.0.0

* Mon Feb 21 2011 ahmad <ahmad> 10.2.0-1.mga1
+ Revision: 55797
- update to 10.2.0

* Sun Jan 23 2011 ennael <ennael> 10.1.0-2.mga1
+ Revision: 34785
- imported package python-twisted-names


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 10.1.0-2mdv2011.0
+ Revision: 592089
- Rebuild

* Tue Jul 20 2010 Lev Givon <lev@mandriva.org> 10.1.0-1mdv2011.0
+ Revision: 555036
- Update to 10.1.0.

* Thu Mar 04 2010 Lev Givon <lev@mandriva.org> 10.0.0-1mdv2010.1
+ Revision: 514224
- Update to 10.0.0.

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 9.0.0-1mdv2010.1
+ Revision: 485564
- Update to new version 9.0

* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323855
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 8.1.0-2mdv2009.1
+ Revision: 318662
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219071
-update to new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 0.4.0-2mdv2008.1
+ Revision: 134232
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 126223
- kill re-definition of %%buildroot on Pixel's request


* Wed Feb 28 2007 Michael Scherer <misc@mandriva.org> 0.4.0-1mdv2007.0
+ Revision: 127325
- version 0.4.0

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.1
+ Revision: 88454
- Import python-twisted-names

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.1
- update file list

* Wed May 31 2006 Michael Scherer <misc@mandriva.org> 0.3.0-1mdv2007.0
- 0.3.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- make it arch dependant, use macro

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

